#!/bin/sh
# $Id: t-map-reopen-0.sh,v 1.2 2004/12/29 20:53:14 ca Exp $
# Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
#	All rights reserved.
#
# By using this file, you agree to the terms and conditions set
# forth in the LICENSE file which can be found at the top level of
# the sendmail distribution.
#
#
test -s stop && exit 1
#

BDBIN="bdbr0"
BDB="bdbr0.db"
BDBINR="bdbrr0"
BDBR="bdbrr0.db"
ERRS=0

cat > ${BDBIN} <<EOF
left1:right1
left2:right2
reopen1
EOF

cat > ${BDBINR} <<EOF
left1:reopen1
left2:reopen2
EOF

# create map
rm -f ${BDB}
./t-mm -t':' -F ${BDB} < ${BDBIN}
if test $? != 0
then
  ERRS=`expr ${ERRS} + 1 `
fi

rm -f ${BDBR}
./t-mm -t':' -F ${BDBR} < ${BDBINR}
if test $? != 0
then
  ERRS=`expr ${ERRS} + 1 `
fi

P=./t-map-reopenr-0

${P}

if test $? != 0
then
  ERRS=`expr ${ERRS} + 1 `
fi

exit ${ERRS}
