/*
 * Copyright (c) 2003, 2004 Sendmail, Inc. and its suppliers.
 *      All rights reserved.
 *
 * By using this file, you agree to the terms and conditions set
 * forth in the LICENSE file which can be found at the top level of
 * the sendmail distribution.
 *
 *	$Id: qmibdb.h,v 1.3 2004/11/03 19:52:25 ca Exp $
 */

#ifndef SM_QMIBDB_H
#define SM_QMIBDB_H	1

#include "sm/generic.h"
#include "sm/ibdb.h"
#include "sm/bhtable.h"

extern void	 qm_ibdb_ta_free(ibdb_ta_P ibdb_ta);
extern void	 ibdb_ta_free(void *value, void *key, void *ctx);
extern sm_ret_T	 qm_ibdb_ta_new(ibdb_ta_P *pibdb_ta);
extern void	 qm_ibdb_rcpt_free(ibdb_rcpt_P ibdb_rcpt);
extern void	 ibdb_rcpt_free(void *value, void *key, void *ctx);
extern sm_ret_T	 qm_ibdb_rcpt_new(ibdb_rcpt_P *pibdb_rcpt);

extern void	 qm_ibdb_ta_clean(ibdb_ta_P _ibdb_ta);
extern sm_ret_T	 qm_ibdb_cancel_ta(bht_P _bht_ta, bht_P _bht_rcpt, sessta_id_P _ta_id);
#if 0
extern sm_ret_T	 qm_ibdb_ta_action(bht_entry_P _info, void *_ctx);
extern sm_ret_T	 qm_ibdb_rcpt_action(bht_entry_P _info, void *_ctx);
#endif /* 0 */

#endif /* SM_QMIBDB_H */
